Page MenuHomePhabricator

Rename of global (attached) users to existing global usernames
Closed, DeclinedPublic

Tokens
"Heartbreak" token, awarded by ToBeFree."Heartbreak" token, awarded by Honischboy."Heartbreak" token, awarded by Samat."Heartbreak" token, awarded by Liuxinyu970226."Like" token, awarded by Steinsplitter."Love" token, awarded by He7d3r.
Assigned To
Authored By
Nemo_bis, May 1 2013

Description

Split from T16862: Allow global renaming of global users.

Imagine:

  • A@global (composed of A@commonswiki and A@metawiki both attached),
  • B@global (composed of B@wikidatawiki and B@metawiki both attached)
  • C@global (composed only of C@mediawikiwiki).

Current situation (since T16862 was fixed) is that B and C can't be renamed to A. This means that all the users forcefully renamed for T37707: Complete unification of all accounts to SUL (if on more than one wiki) will have to request rename on Meta and only RenameUser will help.

However, this means that all such accounts will be unattached, and this is less than ideal, beside being a pain for everyone involved. All such users will be in the case B, because requesting rename creates a local account on Meta, and A will probably have to confirm too.

What we need is:

  • C can be renamed to A: C@global is deleted, the local account is attached to A@global.
  • B can be renamed to A: the wikidatawiki account is attached to A@global, while B@metawiki is left behind and B@global stays.

Version: master
Severity: normal
URL: https://www.mediawiki.org/wiki/SUL_finalisation/Global_account_merge
See Also:

Details

Reference
bz47918

Related Objects

Event Timeline

There are a very large number of changes, so older changes are hidden. Show Older Changes

Change 144644 merged by jenkins-bot:
Global merge tool

https://gerrit.wikimedia.org/r/144644

The global merge tool has been merged, but in a disabled state. Next step is to update extensions that still aren't compatible with it (blockers).

Change 169049 had a related patch set uploaded by Legoktm:
Enable global user merge on beta labs

https://gerrit.wikimedia.org/r/169049

Change 169049 merged by jenkins-bot:
Enable global user merge on beta labs

https://gerrit.wikimedia.org/r/169049

All patches mentioned in this report were merged or abandoned - is there more work left to do here (if yes: please reset the bug report status to NEW or ASSIGNED), or can you close this ticket as RESOLVED FIXED?

Harej added a subscriber: Harej.Mar 6 2015, 6:37 AM
Keegan added a subscriber: Keegan.Mar 30 2015, 11:34 PM

This is the GlobalUserMerge tool, currently under review before deployment.

Stryn added a subscriber: Stryn.May 1 2015, 9:07 AM
Restricted Application added a subscriber: Steinsplitter. · View Herald TranscriptJun 28 2015, 1:11 PM
He7d3r updated the task description. (Show Details)Jun 28 2015, 1:13 PM
Nahum added a subscriber: Nahum.Jun 29 2015, 9:12 PM

Update: We tested global user merge in production yesterday, and ran into issues with database tables missing and transaction handling. T104686 has some blocking tasks on it.

Meno25 added a subscriber: Meno25.Jul 11 2015, 6:20 AM
waldyrious updated the task description. (Show Details)Oct 18 2015, 9:10 AM
Scott removed a subscriber: Scott.Oct 28 2015, 2:42 PM
Scott added a subscriber: Scott.
Keegan closed this task as Resolved.Jan 13 2016, 9:54 PM
Keegan added subscribers: DerHexer, hoo.

After over a year of testing and struggling, I'm finding it less and less likely that this tool will be able to hit production. It's Reliable for new (post-2014) accounts, Pretty Reliable for accounts from 2010 forward, Fairly Reliable for 2008 onward, and anywhere before that in time is a Unreliable. Given the number of accounts that would need this feature to complete SUL finalization were created prior to 2010, I'm having a hard time finalizing a product that is so unstable for so many accounts - deploying a tool that has any chance of mangling contributions is grossly irresponsible.

@Legoktm @hoo @DerHexer Let's consider closing this task as declined in the near future and just move on with the inconvenience of multiple accounts and soft redirects.

Keegan reopened this task as Open.Jan 13 2016, 9:55 PM

didn't mean to close

Ahonc added a subscriber: Ahonc.Jan 13 2016, 10:18 PM

Does the CentralAuth extension page (or one subpage thereof) explain to wiki sysadmins how to enable this tool on their wiki farm? If we give up, we should make sure that someone else is able to use the code (in the remote chance they have a farm with similar issues) so that maybe in the end we get patches etc.

XXN added a subscriber: XXN.Jan 25 2016, 11:03 PM

I've tested the local Special:UserMerge feature on a couple of wikis and tried to merge some of my old accounts with the new global one. See for example https://pt.wikiquote.org/wiki/Especial:Registo/usermerge?uselang=en. In all the cases there was success and nothing bad happened, at least none that I can see. The account and its edits were merged, and the old account deleted. Global account works just fine. Might be because the accounts are past-2009, I don't know. However I was told this tool (the local Special:UserMerge) was also unstable, so I did not continue.

For the sake of clarity, and not talking about Special:GlobalUserMerge, is Special:UserMerge also buggy? Is there any remote posibility that we could use that tool on a wiki by wiki basis with some accounts?

Best regards.

For the sake of clarity, and not talking about Special:GlobalUserMerge, is Special:UserMerge also buggy? Is there any remote posibility that we could use that tool on a wiki by wiki basis with some accounts?
Best regards.

At the minimum, Special:UserMerge is not integrated within all extensions (T69758). The bigger, underlying issue is the inconsistency of databases and user data sets. At the very least we can wind up with account information that is utterly lost, which is unacceptable for many reasons, and at the worst it can corrupt the entire database.

Does the CentralAuth extension page (or one subpage thereof) explain to wiki sysadmins how to enable this tool on their wiki farm? If we give up, we should make sure that someone else is able to use the code (in the remote chance they have a farm with similar issues) so that maybe in the end we get patches etc.

The existing documentation is in the code, it's not on-wiki AFAIK. If @Legoktm or someone with the knowledge and interest would like to publish it, that's always welcome :) I'm not sure of its usefulness because it's so specific to our wikis, but that's not for me to judge overall.

Keegan closed this task as Declined.Jan 28 2016, 10:25 PM

After over a year of testing and struggling, I'm finding it less and less likely that this tool will be able to hit production. It's Reliable for new (post-2014) accounts, Pretty Reliable for accounts from 2010 forward, Fairly Reliable for 2008 onward, and anywhere before that in time is a Unreliable. Given the number of accounts that would need this feature to complete SUL finalization were created prior to 2010, I'm having a hard time finalizing a product that is so unstable for so many accounts - deploying a tool that has any chance of mangling contributions is grossly irresponsible.
@Legoktm @hoo @DerHexer Let's consider closing this task as declined in the near future and just move on with the inconvenience of multiple accounts and soft redirects.

Closing this enhancement request; too many consequences to automating this process at this time.

Restricted Application removed a subscriber: Liuxinyu970226. · View Herald TranscriptJan 28 2016, 10:25 PM
Keegan moved this task from To-do to Done on the SUL-Finalization board.Jan 28 2016, 10:48 PM
Meno25 removed a subscriber: Meno25.Jan 30 2016, 7:00 PM
Qgil added a subscriber: Qgil.

For the sake of clarity, and not talking about Special:GlobalUserMerge, is Special:UserMerge also buggy? Is there any remote posibility that we could use that tool on a wiki by wiki basis with some accounts?

In the context of Wikimedia wikis, the UserMerge code simply doesn't scale with our giant db tables (e.g. T105398). The "global" CentralAuth wrapper just made it even scarier on top.

Keegan moved this task from Backlog to Closed on the GlobalRename board.Feb 8 2016, 7:14 PM
Liuxinyu970226 awarded a token.
Samat added a subscriber: Samat.Nov 15 2016, 9:47 PM

I wonder if when T148242 is finished global user merging would be easier to achieve, now that we're adding local and global user IDs to the user properties?

hoo added a comment.Dec 8 2016, 7:07 PM

I wonder if when T148242 is finished global user merging would be easier to achieve, now that we're adding local and global user IDs to the user properties?

No, that doesn't help with any of the "hard" problems regarding user merges :/

Not having a few indexes isn't really a "hard" problem. I don't think this extension would be a problem except for accounts with too many edits.

Restricted Application added a subscriber: PokestarFan. · View Herald TranscriptAug 1 2017, 6:11 PM
1997kB added a subscriber: 1997kB.Apr 29 2018, 5:04 AM
ToBeFree added a subscriber: ToBeFree.
Restricted Application removed a subscriber: Liuxinyu970226. · View Herald TranscriptNov 11 2018, 11:34 AM